Subject: Re: bug#69739: 30.0.50; `type-of` is not precise enough

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Mar 2024 17:02:53 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 12 Mar 2024 10:43:24 -0400
> 
> >> Still, any change as suggested here would be an incompatible change, so
> >> there's risk it'll break some code out there (`type-of` is not used very
> >> often, but it *is* used).  Another option is to introduce a new function
> >> which does the same as `type-of` but with changes like the ones above.
> >> (we could even decide to give it a `cl-generic-` prefix to discourage
> >> its use elsewhere so we can be more free to change its return value in
> >> the future).
> > I'd prefer a non-breaking change, if possible and reasonable.
> 
> Suggestion for a good name for that new function?

cl-generic-type-of is one.

> Should it make `type-of` obsolete?

I don't have an opinion on this.  Depends on how much type-of is used,
I guess.  Maybe we should wait for the next major release and decide
whether to deprecate then?